#!/bin/bash

# argument: input dir containing smt2 files

if [ $# != 1 ]
then
  echo "ERROR: No input directory specified as argument"
  exit 1
fi

# create output dir
mkdir -p aig

for file in $1/*.smt2
do
	# create subdir
	mkdir -p aig/$1
	
	echo $file

	echo -n "   Running BV2SMV..."
	./bv2smv < $file > $file.smv
	echo "   OK"
	
	echo -n "   Running smvflatten..."
	./smvflatten $file.smv > $file.flatsmv
	echo "   OK"
	rm $file.smv

	echo -n "   Running smv2aig..."
	./smvtoaig $file.flatsmv aig/$file.aig
	echo "   OK"
	rm $file.flatsmv

	echo -n "   Normalizing aigs..."
	./aigreset aig/$file.aig aig/$file.resetaig
	./aigmove aig/$file.resetaig aig/$file.moveaig
	echo "   OK"
	rm aig/$file.aig
	rm aig/$file.resetaig
	rename 's/.moveaig/.aig/' aig/$file.moveaig
done
