#!/bin/bash

# argument: input dir containing smt2 files

if [ $# != 1 ]
then
  echo "ERROR: No input directory specified as argument"
  exit 1
fi

# create output dir
mkdir -p smv

for file in $1/*.smt2
do
	echo $file

	echo -n "   Running BV2SMV..."
	./bv2smv < $file > $file.smv
	echo "   OK"
	
	echo -n "   Running smvflatten..."
	./smvflatten $file.smv > $file.flatsmv
	echo "   OK"
	rm $file.smv
	
	echo -n "   Normalizing output..."
	cat $file.flatsmv | sed -r "s/\.(\w+)/\1/g" | sed -r "s/(\s+)0/\1FALSE/g"| sed -r "s/(\s+)1/\1TRUE/g" > $file.smv
	echo "   OK"
	rm $file.flatsmv
done
